UpdateWebhookEndpointRequest

Request body for partially updating a public webhook endpoint. At least one field is required.

  • auth

    Outbound auth configuration used when Augment delivers webhooks to your endpoint. This is not the same as the API key auth used to call Augment.

    Bearer token authentication for webhook delivery requests.

    • type
      Discriminator
      enum
      const:  
      bearerToken
      required

      Bearer token auth.

      values
      • bearerToken
    • token
      Type: string
      required

      Secret token sent as Authorization: Bearer <token> on webhook delivery. This token is never returned by read or list responses.

  • customHeaders
    Type: object · WebhookCustomHeadersnullable

    Optional custom headers. Pass null to clear custom headers.

    Custom headers sent with webhook deliveries.

    • propertyName
      Type: string
  • name
    Type: string

    Display name for the endpoint

  • url
    Type: string Format: uri

    HTTPS URL that receives Augment webhook deliveries